Package org.eclipse.m2m.atl.dsls.tcs.injector

# Class ElementTrace

java.lang.Object
org.eclipse.m2m.atl.dsls.tcs.injector.ElementTrace

public class ElementTrace extends Object

## Constructor Summary

Constructors
Constructor
Description
`ElementTrace(Object element)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPropertyLocation(String propertyName, Object location)`
`Object`
`getElement()`
`Object`
`getLocation()`
`Object`
`getPropertyLocation(String propertyName)`
`void`
`setLocation(Object location)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ElementTrace

public ElementTrace(Object element)

## Method Details

### addPropertyLocation

public void addPropertyLocation(String propertyName, Object location)

### getElement

public Object getElement()

### setLocation

public void setLocation(Object location)

### getLocation

public Object getLocation()

### getPropertyLocation

public Object getPropertyLocation(String propertyName)